Bug 191954 - mtools Package won't build in mock
mtools Package won't build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 11:57 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-18 08:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Build Log (13.82 KB, text/plain)
2006-05-16 11:57 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2006-05-16 11:57:42 EDT
mtools-3.9.10-1.2.1 won't build in mock:

gcc  -DHAVE_CONFIG_H -DSYSCONFDIR=\"/etc\" -DCPU_i686 -DVENDOR_redhat
-DOS_linux_gnu  -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables -Wall -fno-strict-aliasing -I.  -I.   -c devices.c
In file included from devices.c:12:
msdos.h:146: warning: 'packed' attribute ignored for field of type 'char[8]'
msdos.h:147: warning: 'packed' attribute ignored for field of type 'unsigned
char[2]'
msdos.h:151: warning: 'packed' attribute ignored for field of type 'unsigned
char[2]'
msdos.h:152: warning: 'packed' attribute ignored for field of type 'unsigned
char[2]'
In file included from devices.c:14:
devices.h:25:25: error: linux/fdreg.h: No such file or directory
In file included from devices.c:14:
devices.h: In function 'RR_SETDIRECTION':
devices.h:105: error: 'FD_READ' undeclared (first use in this function)
devices.h:105: error: (Each undeclared identifier is reported only once
devices.h:105: error: for each function it appears in.)
devices.h:108: error: 'FD_WRITE' undeclared (first use in this function)
devices.c: In function 'analyze_one_reply':
devices.c:689: error: 'ST1_WP' undeclared (first use in this function)
make: *** [devices.o] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.22775 (%build)
Comment 1 Andreas Thienemann 2006-05-16 11:57:43 EDT
Created attachment 129213 [details]
Build Log
Comment 2 David Woodhouse 2006-05-18 08:24:08 EDT
Fixed in tomorrow's rawhide.

Note You need to log in before you can comment on or make changes to this bug.